ros-ros-comm (1.14.3+ds1-5build2) eoan; urgency=medium

  * Rebuild against new fixed ros-class-loader 0.4.1-2build2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Aug 2019 09:38:56 +0200

ros-ros-comm (1.14.3+ds1-5build1) eoan; urgency=medium

  * No change rebuild against new boost regex icu encoded abi ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 08 May 2019 18:11:53 +0100

ros-ros-comm (1.14.3+ds1-5) unstable; urgency=medium

  * install ros/transport headers (LP: #1815896)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Feb 2019 19:45:15 +0100

ros-ros-comm (1.14.3+ds1-4) unstable; urgency=medium

  * Add recommends for remote roslaunch
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Jan 2019 10:04:35 +0100

ros-ros-comm (1.14.3+ds1-3) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * Team upload.
  * improve autopkgtest
      - add names to tests
      - test python3 packages instead of python2 packages
      - replace python_import script by directly invoking python -c ...
  * enable hardening
  * refresh patches

  [ Jochen Sprickerhof ]
  * Undo autopkgtest changes from 1.14.3+ds1-1 and run each test by itself.
    The main purpose of the tests is to make sure that the package
    dependencies are fulfilled but this cannot be checked anymore if all
    packages and their dependencies are installed at once.

 -- Johannes 'josch' Schauer <josch@debian.org>  Sat, 08 Dec 2018 13:22:11 +0100

ros-ros-comm (1.14.3+ds1-2) unstable; urgency=medium

  * Fix autopkgtest filename

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Oct 2018 22:55:21 +0100

ros-ros-comm (1.14.3+ds1-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Run CI as a single ADT test in a single VM

  [ Jochen Sprickerhof ]
  * New upstream version 1.14.3+ds1
  * Fix autopkgtest name

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Oct 2018 21:53:53 +0100

ros-ros-comm (1.14.2+ds1-11) unstable; urgency=medium

  * Adopt to new catkin

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Oct 2018 08:04:03 +0200

ros-ros-comm (1.14.2+ds1-10) unstable; urgency=medium

  * Team upload.
  * Drop explicit export of the build flags, dh take care of it already.
  * Do not build-depend on all support python(3) versions, since the build
    system only builds for the default one only.
  * Bump Standards-Version to 4.2.1.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Sep 2018 12:14:36 +0200

ros-ros-comm (1.14.2+ds1-9) unstable; urgency=medium

  * Fix build dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 17 Aug 2018 17:09:07 +0200

ros-ros-comm (1.14.2+ds1-8) unstable; urgency=medium

  * Add patch to generate proper Python 3 package

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 17 Aug 2018 15:14:26 +0200

ros-ros-comm (1.14.2+ds1-7) unstable; urgency=medium

  * Fix location of cmake files
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 03 Aug 2018 07:17:39 +0200

ros-ros-comm (1.14.2+ds1-6) unstable; urgency=medium

  * Add rospkg dependency to rosgraph (Closes: #905223)
  * Add more Multi-Arch
  * Fix changelog line length

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 02 Aug 2018 11:30:32 +0200

ros-ros-comm (1.14.2+ds1-5) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * add python import tests
  * add missing dependency of python-rosbag on python-crypto and of
    python-topic-tools on python-rospy
  * add missing dependency of python-rosbag on python-gnupg
  * add missing dependency of python-roscpp-msgs on python-genpy

  [ Jochen Sprickerhof ]
  * Rename *roscpp-msgs to *roscpp-msg (according to upstream)
  * Add Python 3 packages
  * update standards version
  * Add MA hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 29 Jul 2018 21:52:03 +0200

ros-ros-comm (1.14.2+ds1-4) unstable; urgency=medium

  * Team upload.
  * Re-introduce lost Recover changelog entries lost after making fixes to
    1.13.5 while 1.13.6 was still in NEW

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 11 Jul 2018 07:55:58 +0200

ros-ros-comm (1.14.2+ds1-3) unstable; urgency=medium

  * Team upload.
  * debian/control: let librosbag-storage-dev depend on pluginlib-dev
  * debian/librosbag-storage-dev.install: also install rosbag/encryptor.h
  * debian/control: make librosbag-storage-dev depend on libgpgme-dev
  * Add compilation test cases for every *-dev package

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 08 Jul 2018 21:35:30 +0200

ros-ros-comm (1.14.2+ds1-2) unstable; urgency=medium

  * Upload to unstable (Closes: #898001)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 07 Jul 2018 11:44:05 +0200

ros-ros-comm (1.14.2+ds1-1) experimental; urgency=medium

  [ Jochen Sprickerhof ]
  * Add missing dependencies

  [ Johannes Schauer ]
  * Add autopkgtest

  [ Jochen Sprickerhof ]
  * New upstream version 1.14.1+ds1
  * Remove rosconsole (moved into it's own package)
  * Update copyright
  * New upstream version 1.14.2+ds1
  * Bump Soname due to ABI changes
  * Adopt patches
  * Add missing dependency (Closes: #898847)
  * Add new build dependencies
  * Update patch
  * Make libroscpp-msgs-dev arch:any due to arch:any dependency
  * Remove python build dependency
  * Remove old X-Python-Version

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 Jun 2018 23:12:24 +0200

ros-ros-comm (1.13.6+ds1-1) experimental; urgency=medium

  * Add R³
  * http -> https
  * New upstream version 1.13.6+ds1
  * Rebase patches
  * Update policy and debhelper versions
  * Add python-roslaunch to python-rostest (Closes: #894647)
  * Remove wrong ${misc:Depends}
  * Bump soname of libxmlrpcpp due to ABI change

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Apr 2018 15:17:11 +0200

ros-ros-comm (1.13.5+ds1-5) unstable; urgency=medium

  * Remove rosconsole, provided by src:ros-rosconsole (Closes: #902106)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 Jun 2018 13:49:36 +0200

ros-ros-comm (1.13.5+ds1-4) unstable; urgency=medium

  * Make libroscpp-msgs-dev arch:any due to arch:any dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Jun 2018 19:14:11 +0200

ros-ros-comm (1.13.5+ds1-3) unstable; urgency=medium

  * Bugfix release while waiting for the version in NEW.
  * Add python-roslaunch to python-rostest (Closes: #894647)
  * Remove wrong ${misc:Depends}
  * Add missing dependencies
    (Closes: #896225, #896284, #896304, #896320, #896359, #896362, #896384)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Apr 2018 09:14:16 +0200

ros-ros-comm (1.13.5+ds1-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Update Vcs URLs to salsa.d.o

  [ Jose Luis Rivero ]
  * Added patch to solve problems with console-bridge 0.4 (Closes: #891517)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Feb 2018 20:23:08 +0100

ros-ros-comm (1.13.5+ds1-1) unstable; urgency=medium

  * New upstream version 1.13.5+ds1
  * Update copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Nov 2017 13:20:58 +0100

ros-ros-comm (1.13.3+ds1-1) unstable; urgency=medium

  * New upstream version 1.13.3+ds1
  * Remove patch, included upstream
  * update standards version

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 27 Oct 2017 15:30:36 +0200

ros-ros-comm (1.13.2+ds1-3) unstable; urgency=medium

  * Add patch for BSD (Closes: #876747)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 29 Sep 2017 10:10:59 +0200

ros-ros-comm (1.13.2+ds1-2) unstable; urgency=medium

  * Include missing headers

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 24 Sep 2017 10:15:40 +0200

ros-ros-comm (1.13.2+ds1-1) unstable; urgency=medium

  * New upstream version 1.13.2+ds1
  * Update standards version (no changes needed)
  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Sep 2017 18:45:54 +0200

ros-ros-comm (1.13.1+ds1-1) experimental; urgency=medium

  * Add missing dependencies
  * add Multi-Arch according to hinter
  * Update watch file
  * Exclude files and repack orig
  * New upstream version 1.13.1+ds1
  * Rebase patches and bump rosbag and rosbag_storage soname
  * Remove xmlrpcpp hack
  * Update copyright
  * Update policy and debhelper versions
  * Update dependencies and multi-arch
  * Add patch for system libb64

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Aug 2017 17:50:13 +0200

ros-ros-comm (1.12.6-2) unstable; urgency=medium

  * rebuild due to changes in ros-genpy

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Nov 2016 22:14:21 +0100

ros-ros-comm (1.12.6-1) unstable; urgency=medium

  * New upstream version 1.12.6

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2016 09:28:41 +0100

ros-ros-comm (1.12.5-3) unstable; urgency=medium

  * Fix typo

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 15 Oct 2016 05:53:36 +0200

ros-ros-comm (1.12.5-2) unstable; urgency=medium

  * Add missing dependencies (Closes: #840758)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 14 Oct 2016 19:12:56 +0200

ros-ros-comm (1.12.5-1) unstable; urgency=medium

  * New upstream version 1.12.5

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 01 Oct 2016 17:24:11 +0200

ros-ros-comm (1.12.4-1) unstable; urgency=medium

  * New upstream version 1.12.4

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Sep 2016 21:26:31 +0200

ros-ros-comm (1.12.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Sep 2016 09:22:05 +0200

ros-ros-comm (1.12.3-1) experimental; urgency=medium

  * New upstream version 1.12.3
  * Bump rosbag ABI
  * Remove patch, applied upstream
  * Shorten patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 19 Sep 2016 10:41:14 +0200

ros-ros-comm (1.12.2-5) unstable; urgency=medium

  * Make ros-topic-tools-srvs arch all

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 22 Aug 2016 07:39:20 +0200

ros-ros-comm (1.12.2-4) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Update URLs
  * Update my email address
  * Fix lintian warnings

  [ Daniele E. Domenichelli ]
  * Move message definitions in separate packages

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Aug 2016 09:25:32 +0200

ros-ros-comm (1.12.2-3) unstable; urgency=medium

  * Add missing dependency

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 23 Jul 2016 09:58:53 +0200

ros-ros-comm (1.12.2-2) unstable; urgency=medium

  * rebuild for changes in ros-genlisp

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 13 Jul 2016 22:34:51 +0200

ros-ros-comm (1.12.2-1) unstable; urgency=medium

  * Imported Upstream version 1.12.2

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 09:53:15 +0200

ros-ros-comm (1.12.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Fix a dependency. (Closes: #820292). It was done before
    but the bug was not closed.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Fri, 08 Jul 2016 11:52:34 +0200

ros-ros-comm (1.12.1-1) experimental; urgency=medium

  * New upstream release
  * Rename and adjust patches
  * Typo in the patch that made fail build
  * Rename packages because soname bump
  * Fixed vcs-field-uses-insecure-uri warning
  * Typo in description
  * Bumped Standards-Version to 3.9.8. No changes
  * Increase description of libroslz4-dev and librostest-dev packages
  * Added source override to avoid lintian complains about a unused license

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Fri, 20 May 2016 15:44:27 +0200

ros-ros-comm (1.11.16-5) unstable; urgency=medium

  * Upload to unstable.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 21 Feb 2016 11:55:36 +0100

ros-ros-comm (1.11.16-4) experimental; urgency=medium

  * Add Python dependencies
  * Adopt to new libexec location in catkin (Closes: #815398)
  * Soname bump to move rosconsole to log4cxx
  * Add missing dependency
  * Don't install rosconsole.config, it's not needed

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 16 Feb 2016 09:30:16 +0100

ros-ros-comm (1.11.16-3) unstable; urgency=medium

  * mv xmlrpcpp includes to include/xmlrpcpp (Closes: #812129)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 16 Jan 2016 14:27:26 +0100

ros-ros-comm (1.11.16-2) unstable; urgency=medium

  [ Wookey ]
  * Add missing file to debian/copyright

  [ Jochen Sprickerhof ]
  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 13:18:58 +0100

ros-ros-comm (1.11.16-1) unstable; urgency=medium

  * Initial release. (Closes: #804924)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 22 Dec 2015 16:59:36 +0000
